Subject: [os2genau_digest] No. 1942
From: Digest <deadmail>
To: "OS/2GenAu Digest"<deadmail>
Date: Thu, 15 Apr 2010 00:00:54 EST-10EDT,10,1,0,7200,4,1,0,7200,3600

**************************************************
Wednesday 14 April 2010
 Number  1942
**************************************************

Subjects for today
 
1   Interesting : Ian Manners" <deadmail>
2  Re:  Interesting : Mike O'Connor <mikeoc at internode.on dot net>
3  Re:  eCUPS : Alan Duval <amoht at westnet dot com dot au>
4  Re:  Interesting : John Angelico" <talldad at kepl dot com dot au>
5  Re:  Interesting : Voytek Eymont" <voytek at sbt dot net dot au>
6  Re:  Interesting : Ed Durrant <edurrant at durrant dot mine dot nu>
7  Re:  Interesting : madodel <madodel at ptdprolog dot net>
8  Re:  Interesting : Ed Durrant <edurrant at durrant dot mine dot nu>
9  Re:  eCUPS : Paul Smedley <paul at smedley dot id dot au>

**= Email   1 ==========================**

Date:  Wed, 14 Apr 2010 01:11:36 +1000 (EST)
From:  "Ian Manners" <deadmail>
Subject:   Interesting

I noticed this a few years ago in my logs, and I'm only
just now getting around to checking my logs notes !

<http://support.microsoft dot com/kb/242078>

I like the wording, which is typical Microsoft speak,
after all they own everything don't they :o)

Dont get me wrong, I'm not complaining as I'd hate
to upset Microsoft, and I'm glad to help them by hosting
a SCSI driver file for them as I know hosting is expensive
in America, and that hosting the file on an OS/2 server
has probably given them good availability uptime for
such an important file.

Cheers
Ian Manners
http://www.os2site dot com/

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   2 ==========================**

Date:  Wed, 14 Apr 2010 02:50:03 +1000
From:  Mike O'Connor <mikeoc at internode.on dot net>
Subject:  Re:  Interesting

On 2010-04-14 01:11 (AEST), Ian Manners wrote:
> I noticed this a few years ago in my logs, and I'm only
> just now getting around to checking my logs notes !
>
> <http://support.microsoft dot com/kb/242078>
>
> I like the wording, which is typical Microsoft speak,
> after all they own everything don't they :o)
>
> Dont get me wrong, I'm not complaining as I'd hate
> to upset Microsoft, and I'm glad to help them by hosting
> a SCSI driver file for them as I know hosting is expensive
> in America, and that hosting the file on an OS/2 server
> has probably given them good availability uptime for
> such an important file.
>
> Cheers
> Ian Manners
> http://www.os2site dot com/
>    

Hi Ian,

bloody fantastic!

Regards,
Mike

-- 
Failed the exam for
--------------------
MCSE - Minesweeper Consultant and Solitaire Expert
--------------------
Personal replies to any of :
mikeoc (at) internode (dot) on (dot) net
mikeoc (at) austarnet (dot) com (dot) au
majilok (at) gmail (dot) com
[Please ZIP any attachments, other than GIF/JPG or plain-text]
If you are missing a response from me - check Tweed Heads WX status at:
http://www.bom.gov.au/products/IDR663.loop.shtml#skip

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   3 ==========================**

Date:  Wed, 14 Apr 2010 07:57:57 +1100
From:  Alan Duval <amoht at westnet dot com dot au>
Subject:  Re:  eCUPS

Peter Moylan wrote:
> Meanwhile, the HP printer is out of ink again, and I've finally decided
> that I've spent far more on refilling ink cartridges than the printer is
> worth. Time to get a laser printer. The really basic (but quite
> adequate) black-and-white laser printers have become really cheap -
> recently Dick Smith was selling quite a good one for less than $100. 
> I'm leaning myself towards the idea of a laser printer with a wireless
> network interface - to the best of my knowledge these all work with
> OS/2, although I've never put it to the test - so that my Windows laptop
> will also finally be able to print without the annoying overhead of
> having to transport the laptop over to where the Brother printer is. The
> Brother printer can go back to being a scanner and photocopier (it used
> to be a fax machine as well, but a lightning strike took care of that),
> and as a printer for the very rare cases where colour printing is desirable.
>   
Peter, I noticed that Officeworks is selling a small xerox laser printer 
for $99. I don't know whether it has a wireless network interface but it 
would be worthwhile checking.

Regards,

Alan Duval
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   4 ==========================**

Date:  Wed, 14 Apr 2010 08:16:57 +1000 (AEST)
From:  "John Angelico" <talldad at kepl dot com dot au>
Subject:  Re:  Interesting

On Wed, 14 Apr 2010 01:11:36 +1000 (EST) Ian Manners wrote:
>I noticed this a few years ago in my logs, and I'm only
>just now getting around to checking my logs notes !
>
><http://support.microsoft dot com/kb/242078>
>
>I like the wording, which is typical Microsoft speak,
>after all they own everything don't they :o)
>
>Dont get me wrong, I'm not complaining as I'd hate
>to upset Microsoft, and I'm glad to help them by hosting
>a SCSI driver file for them as I know hosting is expensive
>in America, and that hosting the file on an OS/2 server
>has probably given them good availability uptime for
>such an important file.

And just for fun, I tested the link - works fine!
:-)

Best regards
John Angelico
OS/2 SIG
os2 at melbpc dot org dot au or 
talldad at kepl dot com dot au
___________________
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   5 ==========================**

Date:  Wed, 14 Apr 2010 08:41:31 +1000 (EST)
From:  "Voytek Eymont" <voytek at sbt dot net dot au>
Subject:  Re:  Interesting

<quote who="Mike O'Connor">
> On 2010-04-14 01:11 (AEST), Ian Manners wrote:
>
>> I noticed this a few years ago in my logs, and I'm only
>> just now getting around to checking my logs notes !
>>
>> <http://support.microsoft dot com/kb/242078>
>>
>>
>> I like the wording, which is typical Microsoft speak,
>> after all they own everything don't they :o)
>>
>> Dont get me wrong, I'm not complaining as I'd hate
>> to upset Microsoft, and I'm glad to help them by hosting a SCSI driver
>> file for them as I know hosting is expensive in America, and that
>> hosting the file on an OS/2 server has probably given them good
>> availability uptime for such an important file.
>>
>> Cheers
>> Ian Manners

congarts!

I hope it's lucrative!

-- 
Voytek

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
**= Email   6 ==========================**

Date:  Wed, 14 Apr 2010 10:15:42 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Interesting

Ian Manners wrote:
> I noticed this a few years ago in my logs, and I'm only
> just now getting around to checking my logs notes !
>
> <http://support.microsoft dot com/kb/242078>
>
> I like the wording, which is typical Microsoft speak,
> after all they own everything don't they :o)
>
> Dont get me wrong, I'm not complaining as I'd hate
> to upset Microsoft, and I'm glad to help them by hosting
> a SCSI driver file for them as I know hosting is expensive
> in America, and that hosting the file on an OS/2 server
> has probably given them good availability uptime for
> such an important file.
>
> Cheers
> Ian Manners
> http://www.os2site dot com/
>
> --------------------------------------------------
>  
>  http://www./melbpc/  -  The Melbourne OS/2 SIG

>   
Ha! magic !!

-- 
Cheers/2

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   7 ==========================**

Date:  Tue, 13 Apr 2010 21:57:24 -0400
From:  madodel <madodel at ptdprolog dot net>
Subject:  Re:  Interesting

Ian Manners wrote:
> I noticed this a few years ago in my logs, and I'm only
> just now getting around to checking my logs notes !
> 
> <http://support.microsoft dot com/kb/242078>
> 
> I like the wording, which is typical Microsoft speak,
> after all they own everything don't they :o)
> 
> Dont get me wrong, I'm not complaining as I'd hate
> to upset Microsoft, and I'm glad to help them by hosting
> a SCSI driver file for them as I know hosting is expensive
> in America, and that hosting the file on an OS/2 server
> has probably given them good availability uptime for
> such an important file.
> 

According to that page os2site dot com is a "Microsoft FTP site".  Did they 
make you an offer you couldn't refuse? ;-)

Mark
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   8 ==========================**

Date:  Wed, 14 Apr 2010 13:18:04 +1000
From:  Ed Durrant <edurrant at durrant dot mine dot nu>
Subject:  Re:  Interesting

madodel wrote:
> Ian Manners wrote:
>> I noticed this a few years ago in my logs, and I'm only
>> just now getting around to checking my logs notes !
>>
>> <http://support.microsoft dot com/kb/242078>
>>
>> I like the wording, which is typical Microsoft speak,
>> after all they own everything don't they :o)
>>
>> Dont get me wrong, I'm not complaining as I'd hate
>> to upset Microsoft, and I'm glad to help them by hosting
>> a SCSI driver file for them as I know hosting is expensive
>> in America, and that hosting the file on an OS/2 server
>> has probably given them good availability uptime for
>> such an important file.
>>
>
> According to that page os2site dot com is a "Microsoft FTP site".  Did 
> they make you an offer you couldn't refuse? ;-)
>
> Mark
> --------------------------------------------------
> 
> http://www./melbpc/  -  The Melbourne OS/2 SIG
===
>
As per Ian's comment "after all they own everything don't they :o) " - 
all FTP and Web sites belong to Microsoft, so they didn't need to make 
him an offer.

I wonder how Google feel about this point however .....

-- 
Cheers/2

Ed

Please checkout my podcasts at:
http://eComStationAustralia.podbean dot com or via iTunes
To subscribe - click this: http://eComStationAustralia.podbean dot com/feed

--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===
**= Email   9 ==========================**

Date:  Wed, 14 Apr 2010 19:24:05 +0845
From:  Paul Smedley <paul at smedley dot id dot au>
Subject:  Re:  eCUPS

Hi Alan,

On 13/04/10 07:34, Alan Duval wrote:
> Paul Smedley wrote:
>> Hi Alan,
>>
>> On 12/04/10 16:44, Alan Duval wrote:
>>> paul at smedley dot id dot au wrote:
>>>> Hi Alan,
>>>>
>>>> Quoting "Alan Duval" <amoht at westnet dot com dot au>:
>>>>> I downloaded your port of hplip and unzipped it to C: where cups is.
>>>>> I find that the drivers are in C:\cups\share\ppd\HP and the driver
>>>>> "hp_officejet_pro_K5300.ppd.gz" is there but it doesn't seem to show
>>>>> when I rerun the 'add printer' part in http://localhost:631.
>>>> I think this path is wrong.... At work right now, but from memory it
>>>> should be in:
>>>> \cups\share\cups\model\hp\*.ppd.gz
>>>
>>> I copied the HP folder to the path you suggested and the driver now
>>> shows in the list of printers displayed in the localhost:631 screen.
>>> Hence I deleted the previous printer and added a printer with the HP
>>> driver but test page doesn't print. Error line
>>> "\cups\lib\cups\filter\hpcups.exe failed" is displayed in the
>>> localhost:631 screen. I didn't change anything in eCS so don't know
>>> whether I should have deleted the printer in eCs also.
>>
>> Try printing a real document - the test print probably failed due to
>> missing resolution option - long story - related to the missing
>> resolution/print quality options in the hplip ppd files that I
>> mentioned earlier.
> Couldn't print a real document with the command C:\cups\bin\lpr -P HP
> \cups\readme.txt
> HP is the name I gave my printer when installed from localhost:631.
>
> After installing printer from localhost:631 the printers window shows:
>
> *Description:* HP Officejet Pro 5300
> *Location:* Home office
> *Printer Driver:* HP Officejet Pro k5300, hpcups 3.9.12.29
> *Printer State:* idle, accepting jobs, published.
> *Device URI:* usb://HP/Officejet%20Pro%20K5300?serial=MY84G6830J
>
> I cannot find the driver in C:\cups in any directory whereas the
> gutenprint.5.2.exe driver from previous installation is in
> c:\cups\lib\cups\driver\
>
> All the hp*.ppd.gz files are in C:\cups\share\cups\model\ as copied
> previously and this resulted in K5300 being recognized in localhost:631
> but these hp*.ppd.gz files are not drivers.
>
> I'm feeling really frustrated.
Which file did you download to test hplip?

I have these builds available:
http://download.smedley.info/hplip-3.9.12-os2-20100224.zip
http://download.smedley.info/hplip-3.10.2-os2-20100304.zip

3.9.12 probably has the best reports of success.  The fact that you had 
to move the ppd.gz suggests another version as as far as I know - the 
above work.

The .ppd.gz files describe the features that are supported by the 
respective printer.

The hard work is done by hpcups.exe - which should be in 
\cups\lib\cups\filter

The way things work are:
- Postscript file received by cups
- file piped thru pstops.exe to clean up the code
- file piped thru ghostscript to produce cups raster code
- file piped thru printer specific filter (ie rastertoqdpl (Splix), 
rastertogutenprint (Gutenprint), hpcups (hplips)
- file piped to relevant printer backend (usb.exe, http.exe, etc)

Just for fyi :)

The ppd.gz tells the printer specific filter what specific options the 
printer supports.

Cheers,

Paul
--------------------------------------------------
 
 http://www./melbpc/  -  The Melbourne OS/2 SIG
===